Nested hostgroup duplicated classes
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I edit an existing hostgroup and I add a parent relationship with an other hostgroup ,

if a class is included in the two hostgroup, the class is not deduplicated.

It would be nice to remove automaticaly class including in child hostgroup.

Thx in advance.

Associated revisions

Revision 50541c05 - 01/29/2012 09:11 AM - Ohad Levy

fixes #1191 - removes duplicated classes when nesting hostgroups

History

#1 - 10/02/2011 11:30 AM - Ohad Levy

should this happen automatically? while its probably easy to implement, I was not sure if this would raise any confusion?

#2 - 11/09/2011 11:36 AM - Romain Vrignaud

edit : It would be nice to remove automaticaly class includED in child hostgroup.

I don't see where could be the confusion. This would be the more logical because affecting 2 times a class is a puppet non-sense.

It would make transition to former hostgroup management to nested hostgroup much much easier.

#3 - 01/29/2012 08:03 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 1.0

#4 - 01/29/2012 09:58 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 50541c05d7a044b74fb5bd003714236557350de2.

Powered by TCPDF (www.tcpdf.org)

05/10/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/50541c05d7a044b74fb5bd003714236557350de2
http://www.tcpdf.org

